Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Interface OutputURIResolver

All Known Implementing Classes:
  StandardOutputResolver

public interface OutputURIResolver

This interface defines an OutputURIResolver. This is a counterpart to the JAXP URIResolver, but is used to map the URI of a secondary result document to a Result object which acts as the destination for the new document.

Method Summary
`void` | `close(javax.xml.transform.Result result)` Signal completion of the result document.
`javax.xml.transform.Result` | `resolve(java.lang.String href, java.lang.String base)` Resolve an output URI.

Method Detail

### resolve

    public javax.xml.transform.Result resolve(java.lang.String href,
                                              java.lang.String base)
                                       throws javax.xml.transform.TransformerException

  Resolve an output URI.

  Parameters:
    `href` - The relative URI of the output document. This corresponds to the href attribute of the xsl:result-document instruction.
    `base` - The base URI that should be used. This is the base URI of the element that contained the href attribute. It may be null if no systemID was supplied for the stylesheet.
  Returns:
    a Result object representing the destination for the XML document. The method can also return null, in which case the standard output URI resolver will be used to create a Result object.
  Throws:
    `javax.xml.transform.TransformerException`

### close

    public void close(javax.xml.transform.Result result)
               throws javax.xml.transform.TransformerException

  Signal completion of the result document. This method is called by the system when the result document has been successfully written. It allows the resolver to perform tidy-up actions such as closing output streams, or firing off processes that take this result tree as input. Note that the OutputURIResolver is stateless, so the the original Result object is supplied to identify the document that has been completed.

  Parameters:
    `result` - The result object returned by the previous call of resolve()
  Throws:
    `javax.xml.transform.TransformerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD